Summary:	Computer chess program
Summary(de.UTF-8):	Computerschachprogramm
Summary(es.UTF-8):	Juego de ajedrez de la GNU
Summary(fr.UTF-8):	Jeu d'échecs
Summary(pl.UTF-8):	Gra w szachy
Summary(pt_BR.UTF-8):	Jogo de xadrez da GNU
Summary(ru.UTF-8):	Шахматная программа GNU
Summary(tr.UTF-8):	Bilgisayar satranç oyunu
Summary(uk.UTF-8):	Шахова програма GNU
Name:		gnuchess
Version:	6.2.4
Release:	1
License:	GPL v3+
Group:		Applications/Games
Source0:	http://ftp.gnu.org/gnu/chess/%{name}-%{version}.tar.gz
# Source0-md5:	4e1268030ba1ae83cbd03b3eac2f44a5
Source1:	xchess.png
Source2:	%{name}.desktop
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/chess/chess.html
BuildRequires:	flex
BuildRequires:	gettext-tools >= 0.18.3
BuildRequires:	help2man
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	readline-devel
BuildRequires:	texinfo
Provides:	chess_backend
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The gnuchess package contains the GNU chess program. By default,
GNUchess uses a curses text-based interface. Alternatively, GNUchess
can be used in conjunction with the xboard user interface and the X
Window System for a graphical chessboard.

%description -l de.UTF-8
Das berühmte GNU-Schachprogramm. Es ist textorientiert, kann aber mit
'xboard' verwendet werden, um X-orientiertes Schach zu spielen.

%description -l es.UTF-8
Este es el famoso programa de ajedrez de GNU. Está basado en texto,
pero puede ser usado en conjunción con xboard para jugar ajedrez
basado en X.

%description -l fr.UTF-8
Le fameux programme de jeu d'échecs de GNU. Il est en mode texte mais
peut être utilisé avec xboard pour y jouer sous X.

%description -l pl.UTF-8
Oto sławny GNU program szachowy. Domyślnie ma interfejs tekstowy
(curses), ale w połączeniu z xboard może mieć graficzny interfejs
X Window.

%description -l pt_BR.UTF-8
Este é o famoso programa de xadrez da GNU. É baseado em texto, mas
pode ser usado em conjunção com xboard para jogar xadrez baseado em X.

%description -l ru.UTF-8
Пакет gnuchess содержит шахматную программу GNU. По умолчанию GNUchess
использует текстовый интерфейс на основе curses. Альтернативно она
может использоваться в сочетании с xboard, обеспечивающим графический
интерфейс под X Window System.

%description -l tr.UTF-8
Bu ünlü GNU satranç programıdır. Metin ekranda çalışır ama xboard
programı ile birlikte kullanılarak X altında da oynanabilir.

%description -l uk.UTF-8
Пакет gnuchess містить шахову програму GNU. За умовчанням GNUchess
використовує текстовий інтерфейс на основі curses. Альтернативно вона
може використовуватись у парі з програмою xboard, яка забезпечує
графічний інтерфейс під X Window System.

%package -n xboard-gnuchess
Summary:	GNU Chess engine integration for Xboard
Summary(pl.UTF-8):	Integracja silnika szachowego GNU Chess z Xboard
Group:		Applications/Games
Requires:	%{name} = %{version}-%{release}
Requires:	xboard >= 4.6.0

%description -n xboard-gnuchess
GNU Chess engine integration for Xboard.

%description -n xboard-gnuchess -l pl.UTF-8
Integracja silnika szachowego GNU Chess z Xboard.

%prep
%setup -q
%patch0 -p1

%build
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/gnuchess
%attr(755,root,root) %{_bindir}/gnuchessu
%{_datadir}/gnuchess
%{_desktopdir}/gnuchess.desktop
%{_pixmapsdir}/xchess.png
%{_mandir}/man1/gnuchess.1*
%{_infodir}/gnuchess.info*

%files -n xboard-gnuchess
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gnuchessx
%{_datadir}/games/plugins/logos/gnuchess.png
%{_datadir}/games/plugins/xboard/gnuchess.eng
%changelog
* Fri Jan 27 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnuchess.git;a=log;h=master

* Fri Jan 27 2017 Jakub Bogusz <qboosh@pld-linux.org> 45f3cb2
- updated to 6.2.4

* Wed Oct 26 2016 Jakub Bogusz <qboosh@pld-linux.org> f4bba34
- updated to 6.2.3

* Fri Sep 02 2016 Jakub Bogusz <qboosh@pld-linux.org> 4078be3
- updated to 6.2.2 (GPL v3+ now)
- removed obsolete gcc4,compile patches
- added info patch (unify direntry)
- added xboard integration package

* Mon Dec 14 2009 Szymon Siwek <sls@pld-linux.org> 8e7b1db
- added compile.patch

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> a69b84f
- drop obsolete files

* Mon Feb 23 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> f726f45
- release 7

* Tue Apr 08 2008 Elan Ruusamäe <glen@pld-linux.org> aac8b06
- unify ftp.gnu.org urls

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 79a51f2
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Sun Nov 18 2007 Paweł Gołaszewski <blues@pld-linux.org> 9af5c4a
- provides chess_backend

* Sat Nov 17 2007 Paweł Gołaszewski <blues@pld-linux.org> 4a41cc4
- rel.6, GPLv2, details

* Fri Jul 27 2007 Paweł Gołaszewski <blues@pld-linux.org> bf18a4b
- a bit fixed pl description

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 49c3eb1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> eb9433d
- converted to UTF-8

* Tue Nov 07 2006 Elan Ruusamäe <glen@pld-linux.org> 628a3e9
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

* Sat Sep 17 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> e542e2a
- new readline 5.0

* Tue Jul 26 2005 Jarosław Kruk <jareq@pld-linux.org> f314577
- add gnuchess-gcc4.patch - now build with gcc4
- rel. 4

* Tue Jul 26 2005 Jarosław Kruk <jareq@pld-linux.org> 7b0cd10
- gcc4 fix

* Wed Jun 01 2005 zbyniu <zbyniu@pld-linux.org> 52a2819
- BR: flex

* Tue Jun 01 2004 Jakub Bogusz <qboosh@pld-linux.org> 6f1f06a
- fixed build on amd64, release 3

* Tue Jun 01 2004 pawelk <pawelk@pld-linux.org> 476d814
- install gnuchessx (needed by xboard)
- rel 2

